Subject: Re: build failure of next-20220811 due to b1a63a0b48ad ("drm/amd/display: consider DSC pass-through during mode validation")

From: Stephen Rothwell <[email-masked]>
Date: Wed, 17 Aug 2022 09:43:09 +1000

Hi all,

On Fri, 12 Aug 2022 09:07:31 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> On Thu, 11 Aug 2022 18:10:48 +0100 "Sudip Mukherjee (Codethink)" <[email-masked]> wrote:
> >
> > Not sure if it has been reported, builds of riscv, alpha, s390, arm,
> > arm64, xtensa, mips, csky allmodconfig have failed to build next-20220811
> > with the error:
> > 
> > ERROR: modpost: "dc_dsc_compute_bandwidth_range" [drivers/gpu/drm/amd/amdgpu/amdgpu.ko] undefined!
> > ERROR: modpost: "dc_dsc_get_policy_for_timing" [drivers/gpu/drm/amd/amdgpu/amdgpu.ko] undefined!
> > 
> > git bisect pointed to b1a63a0b48ad ("drm/amd/display: consider DSC pass-through during mode validation")
> > And, reverting that commit has fixed the build failure.
> > 
> > I will be happy to test any patch or provide any extra log if needed.  
> 
> I have reverted that commit in today's linux-next.

I have removed that revert.  Sudip, can you recheck when linux-next is
released, please?

-- 
Cheers,
Stephen Rothwell